package JAKJ . RedstoneInMotion ;

public class MotiveSpectre extends Block
{
	public static int Id ;

	public MotiveSpectre ( )
	{
		super ( Id , bedrock , "pickaxe" ) ;

		setCreativeTab ( null ) ;
	}

	@Override
	public Class < ? extends BlockItem > BlockItemClass ( )
	{
		return ( MotiveSpectreItem . class ) ;
	}

	public enum Types
	{
		Motive ,
		Supportive ;
	} ;

	@Override
	public Class < ? extends TileEntity > TileEntityClass ( int Index )
	{
		if ( Index == Types . Motive . ordinal ( ) )
		{
			return ( MotiveSpectreEntity . class ) ;
		}

		return ( null ) ;
	}

	public static final IconHolder PlaceholderIcon = new IconHolder ( "CarriagePlaceholder" ) ;

	@Override
	public void RegisterIcons ( IconRegister Register )
	{
		Register . Register ( PlaceholderIcon ) ;
	}

	@Override
	public IconHolder GetIcon ( int Side , int Meta )
	{
		return ( PlaceholderIcon ) ;
	}

	@Override
	public int getRenderType ( )
	{
		return ( -1 ) ;
	}

	@Override
	public boolean isOpaqueCube ( )
	{
		return ( false ) ;
	}

	@Override
	public boolean renderAsNormalBlock ( )
	{
		return ( false ) ;
	}

	@Override
	public boolean onBlockActivated ( net . minecraft . world . World World , int X , int Y , int Z , net . minecraft . entity . player . EntityPlayer Player , int Side , float HitX , float HitY , float HitZ )
	{
		if ( World . isRemote )
		{
			return ( false ) ;
		}

		if ( World . getBlockMetadata ( X , Y , Z ) == Types . Motive . ordinal ( ) )
		{
			return ( false ) ;
		}

		if ( ! IsScrewdriverEquivalent ( Player . inventory . getCurrentItem ( ) ) )
		{
			return ( false ) ;
		}

		WorldUtil . SetBlock ( World , X , Y , Z , 0 , 0 ) ;

		return ( true ) ;
	}
}
